@mixin app-coc-referral-queue-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);
  
    app-coc-referral-queue {
      width: 100%;
      padding: 5px;
      overflow-x: hidden;
    }  
  
    .coc-referral-queue {
      margin-top: 30px !important;
      display: flex;
      flex-direction: column;
      padding: 5px;
      background-color: mat-color($primary, 50);
      
      .coc-main-card {
        display: flex;
        flex-direction: column;
        padding: 0px;
        background-color: mat-color($primary, 50);
  
        .mat-card-header {
          width: 100%;
        }
  
        .top-header-filter {
            display: flex;
            padding: 0px 5px;
            margin: 0px 5px;
            font-size: 0.9em;
            line-height: 40px;
  
            .pe-left-text {
              display: flex;
              flex: auto;
              margin-right: 10px !important;
  
              .mat-form-field {
                flex: auto;
              }
            }
  
            .right-text {
              display: flex;
              flex: auto;
              margin-right: 15px;
  
              .mat-form-field {
                flex: auto;
              }
            }

            .middle-text {
              display: flex;
              flex: auto;
              margin-right: 15px;

              .mat-form-field {
                flex: auto;
              }
            }
  
            .hp-left-text{
              display: flex;
              height: 50px;
              margin-right: 10px !important;
            }
            
          }
        .mat-card-content {  
          .example-small-box {
            display: flex;
            align-items: center;
            justify-content: center;
            background: white;
            .example-container {
              width: 100%;
              margin-right: 10px;
              margin-left: 10px;
            }
          }  
          .table-filters-header {
            width: 100%;
            background-color: white;
            border: 1px solid #eaf0fb;

            .table-top-icons {
              mat-icon {
                padding: 5px;
              }

              mat-icon:hover {
                cursor: pointer;
                // color: #FF5722;
                color: mat-color($warn);
              }
            }    
          }
        }
      }

      
  
    }
  }